## SPI\_rollback

SPI\_rollback, SPI\_rollback\_and\_chain — abort the current transaction

## Synopsis

```
void SPI_rollback(void)

```

```
void SPI_rollback_and_chain(void)

```

## Description

`SPI_rollback` rolls back the current transaction. It is approximately equivalent to running the SQL command `ROLLBACK`. After a transaction is rolled back, a new transaction has to be started using `SPI_start_transaction` before further database actions can be executed.

`SPI_rollback_and_chain` is the same, but a new transaction is immediately started with the same transaction characteristics as the just finished one, like with the SQL command `ROLLBACK AND CHAIN`.

 These functions can only be executed if the SPI connection has been set as nonatomic in the call to `SPI_connect_ext`.

